<head>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.4/angular.min.js"></script>
    <script src="FlightSimulate.js"></script>
    <link rel="stylesheet" type="text/css" href="Results.css">
    <link rel="stylesheet" type="text/css" href="FlightSimulate.css">
</head>

<body ng-app="myApp" ng-controller="jsonCtrl" >
    <div id="FlightContent">
        <div id="SearchCritearias-wrapper">
            <div id="SearchCritearias">
                
            </div>
        </div> 
        
        <div id="SortAndFilterPane-wrapper">
            <div id="FilterWithPrice">
                <button id="button2" ng-click="FilterForChipClicked()"> Ucuzdan Pahalıya Göre Listele </button>
                <button id="button2" ng-click="FilterForExpensiveClicked()"> Pahalıdan Ucuza Göre Listele </button>
                <button id="button2" ng-click="FilterForMinDurationClicked()"> Mesafeye Göre Listele </button>
                <button id="button2" ng-click="FilterForMaxDurationClicked()"> Uzaklığa Göre Listele </button>
            </div>
            <div id="FilterWithDuration">
                <div id="text">Departure</div>
                <input id="textbox" type="text" ng-model="departureMin">
                <input id="textbox" type="text" ng-model="departureMax">
                
                <div id="text">Return</div>
                <input id="textbox" type="text" ng-model="returnMin">
                <input id="textbox" type="text" ng-model="returnMax">
                
                <input id="checkbox" type="checkbox" ng-model="OneworldChecked"> OneWorld
                <input id="checkbox" type="checkbox" ng-model="StarAllianceChecked"> StarAlliance
                <input id="checkbox" type="checkbox" ng-model="SkyTeamChecked"> SkyTeam
                
                <button id="button" ng-click="Search()"> Listele </button>
            </div>
        </div>
        <div id="FlighResult-wrapper">
            <div id="FlightResults" ng-repeat="flight in cards | orderBy:Filter"> 
                <div class='flight-card'>
                  <div class='flight-card--header'>
                    <div class='flight-card--header-logo'>
                      {{flight.Company}}
                    </div>
                    <div class='flight-card--header-details'>
                      <div class='details-passenger'>
                        <span class='detail--title'>
                          
                        </span>
                        <span class='detail--text'>
                          
                        </span>
                      </div>
                      <div class='details-depart'>
                        <span class='detail--title'>
                          Departs
                        </span>
                        <span class='detail--text'>
                          {{flight.Departs}}
                        </span>
                      </div>
                      <div class='details-arrive'>
                        <span class='detail--title'>
                          Arrives
                        </span>
                        <span class='detail--text'>
                          {{flight.Arrives}}
                        </span>
                      </div>
                    </div>
                  </div>
                  <div class='flight-card--details'>
                    <div class='bc-from'>
                      <span class='detail-code'>
                        {{flight.FromCity}}
                      </span>
                      <span class='detail-city'>
                        {{flight.FromAirPort}}
                      </span>
                    </div>
                    <div class='bc-plane'>
                      <img src='https://cdn.onlinewebfonts.com/svg/img_537856.svg'>
                    </div>
                    <div class='bc-to'>
                      <span class='detail-code'>
                        {{flight.ToCity}}
                      </span>
                      <span class='detail-city'>
                        {{flight.ToAirport}}
                      </span>
                    </div>
                    <div class='flight-card-details--text'>
                      <div class='text-left'>
                        <span class='text-hline'>
                          Operator
                        </span>
                        <span class='text-actual'>
                          {{flight.Operation}}
                        </span>
                      </div>
                      <div class='text-middle'>
                        <span class='text-hline'>
                          Flight
                        </span>
                        <span class='text-actual'>
                          {{flight.FlightNo}}
                        </span>
                      </div>
                      <div class='text-right'>
                        <span class='text-hline'>
                          Class
                        </span>
                        <span class='text-actual mint'>
                          {{flight.Class}}
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
            </div>
        </div>
    </div>
</body>

